#### D.15.26.1 MPGS

Procedure from library `stdmodule.lib` (see stdmodule_lib).

Usage:
  G free module over subalgebra A, A subalgebra(which is finite sagbi basis).

Return:
  a list W: generating set for syzygies of G over subalgebra A."

Example:

    LIB "stdmodule.lib";
    // Example 1:
    ring r=QQ,(x,y),Dp;
    ideal A=x2,y2;
    module G=[x4+2x2y2-1,y4],[-x2y2,x2y2],[2x2y4-y2,x4y2+y6],[-x2y2,x2y6+x6y2+2x4y4];
    MPGS(G,A);
    ==> [1]:
    ==>    _[1]=x2*gen(2)-x2*gen(1)+y2*gen(1)-gen(3)+gen(2)
    ==>    _[2]=2y4*gen(1)-x2*gen(3)+x2*gen(1)-2y2*gen(3)+2y2*gen(2)-y2*gen(1)+ge\
       n(4)-gen(2)
    // Example 2:
    ring r2=QQ,(x,y),Dp;
    ideal A=x2-xy+y, y2+x;
    module G=x2y2-xy3+x3-x2y+y3+x2+y, y4+2xy2+x2-y2-x, 2xy-2x2+2xy-2y;
    MPGS(G,A);
    ==> [1]:
    ==>    _[1]=gen(3)-gen(2)
    ==>    _[2]=x2*gen(2)-x2*gen(1)-xy*gen(2)+xy*gen(1)-y2*gen(1)-x*gen(1)+y*gen(\
       2)-y*gen(1)

User manual for Singular version 4.4.1, 2025, generated by texi2html.